Tremor documentation | Tremor version 1.0 - 20020403

# ov_info

declared in "ivorbisfile.h";

Returns the vorbis_info struct for the specified bitstream. For nonseekable files, always returns the current vorbis_info struct.

    vorbis_info *ov_info(OggVorbis_File *vf,int link);

### Parameters

vf
  A pointer to the OggVorbis_File structure--this is used for ALL the externally visible libvorbisidec functions.
i
  Link to the desired logical bitstream. For nonseekable files, this argument is ignored. To retrieve the vorbis_info struct for the current bitstream, this parameter should be set to -1.

### Return Values

> - Returns the vorbis_info struct for the specified bitstream. Returns vorbis_info for current bitstream if the file is nonseekable or i=-1.
> - NULL if the specified bitstream does not exist or the file has been initialized improperly.

copyright © 2002 Xiph.org | Ogg Vorbis
Tremor documentation | Tremor version 1.0 - 20020403